Skip to main content
PUT
/
users
/
{id}
Update service account
curl --request PUT \
  --url https://us.api.flexprice.io/v1/users/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>"
}
'
import requests

url = "https://us.api.flexprice.io/v1/users/{id}"

payload = { "name": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};

fetch('https://us.api.flexprice.io/v1/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "email": "<string>",
  "id": "<string>",
  "metadata": {},
  "name": "<string>",
  "roles": [
    "<string>"
  ],
  "tenant": {
    "billing_details": {
      "address": {
        "address_city": "<string>",
        "address_country": "<string>",
        "address_line1": "<string>",
        "address_line2": "<string>",
        "address_postal_code": "<string>",
        "address_state": "<string>"
      },
      "email": "<string>",
      "help_email": "<string>",
      "phone": "<string>"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "metadata": {},
    "name": "<string>",
    "status": "<string>",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}
{
"http_status_code": 123,
"message": "<string>"
}
{
"http_status_code": 123,
"message": "<string>"
}
{
"http_status_code": 123,
"message": "<string>"
}

Authorizations

x-api-key
string
header
required

Enter your API key in the format x-api-key <api-key>*

Path Parameters

id
string
required

Service Account ID

Body

application/json

Update service account request

name
string
required

Response

OK

email
string

Empty for service accounts

id
string
metadata
object
name
string
roles
string[]
tenant
object
type
enum<string>
Available options:
user,
service_account